Bug 220908

Summary: <body> with overflow:hidden CSS is scrollable on iOS standalone web app
Product: WebKit Reporter: ik
Component: WebKit2Assignee: Simon Fraser (smfr) <simon.fraser>
Status: RESOLVED FIXED    
Severity: Normal CC: hi, ik, kkinnunen, luming_yin, m.kurz+webkitbugs, simon.fraser, supersonicandtails, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Safari 14   
Hardware: iPhone / iPad   
OS: iOS 14   
Attachments:
Description Flags
Patch none

Description ik 2021-01-25 00:26:56 PST
This issue is a continuation of #153852 "<body> with overflow:hidden CSS is scrollable on iOS"

See https://bugs.webkit.org/show_bug.cgi?id=153852

Per #c33: Scroll on the body is not prevented when [..] in "standalone mode", i.e. when the web page is added to homescreen and no browser UI is displayed.

#c34 replied with: Please file a new bug on this case.
Comment 1 Radar WebKit Bug Importer 2021-01-25 09:41:40 PST
<rdar://problem/73574797>
Comment 2 ik 2022-03-15 06:38:10 PDT
Friendly ping, any news on this?
Comment 3 Simon Fraser (smfr) 2022-04-20 16:21:33 PDT
Created attachment 458020 [details]
Patch
Comment 4 Devin Rousso 2022-04-21 11:53:03 PDT
Comment on attachment 458020 [details]
Patch

r=me
Comment 5 EWS 2022-04-21 14:04:19 PDT
Committed r293188 (249864@main): <https://commits.webkit.org/249864@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 458020 [details].
Comment 6 ik 2022-05-17 08:03:24 PDT
Looks like this patch was too late to be included in 15.5 ?